
QGIS Application - Bug report #9624

line drawn on wrong side of edge with when draw line only inside polygon deals with polygon rings

2014-02-22 10:28 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18197

Description

The new "draw line only inside polygon" feature for simple line symbology doesn't handle polygon rings properly, leading to line drawn on

the wrong side of the polygon's ring(s) edge. See attached screenshot & attached test project.

Associated revisions

Revision 66913320 - 2014-03-01 11:50 AM - Nyall Dawson

Ensure draw line only inside polygon works correctly with multipolygon rings (fix #9624)

History

#1 - 2014-02-23 12:19 AM - Giovanni Manghi

- Target version changed from Future Release - Lower Priority to Version 2.4

#2 - 2014-03-01 02:51 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"66913320f07adb215f0d7b10df7d6509273fd91f".
